## littler 0.3.21

=== DESCRIPTION ===
Package: littler
Type: Package
Title: R at the Command-Line via 'r'
Version: 0.3.21
Date: 2025-03-24
Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                    comment = c(ORCID = "0000-0001-6419-907X")),
             person("Jeff", "Horner", role = "aut",
                    comment = "(2006-2008)"))
Description: A scripting and command-line front-end
 is provided by 'r' (aka 'littler') as a lightweight binary wrapper around
 the GNU R language and environment for statistical computing and graphics.
 While R can be used in batch mode, the r binary adds full support for
 both 'shebang'-style scripting (i.e. using a  hash-mark-exclamation-path
 expression as the first line in scripts) as well as command-line use in
 standard Unix pipelines. In other words, r provides the R language without
 the environment.
URL: https://github.com/eddelbuettel/littler,
        https://dirk.eddelbuettel.com/code/littler.html,
        https://eddelbuettel.github.io/littler/
BugReports: https://github.com/eddelbuettel/littler/issues
License: GPL (>= 2)
OS_type: unix
SystemRequirements: libR
Suggests: simplermarkdown, docopt, rcmdcheck, whoami
VignetteBuilder: simplermarkdown
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2025-03-24 20:07:20 UTC; edd
Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
  Jeff Horner [aut] ((2006-2008))
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Repository: CRAN
Date/Publication: 2025-03-25 05:50:07 UTC

=== debian/changelog ===
littler (0.3.21-2) unstable; urgency=medium

  * debian/rules: Update, use dh-r		(Closes: #985898, #1114984)

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version 
  * debian/control: Switch to virtual debhelper-compat (= 13)
  * debian/compat: Deleted

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 12 Sep 2025 07:38:54 -0500

littler (0.3.21-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 25 Mar 2025 11:11:30 -0500

=== debian/control ===
Source: littler
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.3)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
Homepage: https://cran.r-project.org/package=littler

Package: r-cran-littler
Architecture: any
Depends: ${R:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: r-cran-getopt
Provides: littler
Conflicts: littler (<= 0.2.3-2)
Replaces: littler
Description: GNU R scripting and command-line front-end
 The 'r' (aka 'littler') program provides a lightweight binary wrapper around 
 the GNU R language and environment for statistical computing and graphics. 
 .
 While R can be used in batch mode, the r binary adds full support for
 both 'shebang'-style scripting (i.e. using a  hashmark-exclamation-path 
 expression as the first line in scripts) as well as command-line use in 
 standard Unix pipelines. In other words, r provides the R language without 
 the environment. 

Package: littler
Architecture: all
Depends: ${misc:Depends}, r-cran-littler
Description: GNU R scripting and command-line front-end -- transition package
 The 'r' (aka 'littler') program provides a lightweight binary wrapper around 
 the GNU R language and environment for statistical computing and graphics. 
 .
 While R can be used in batch mode, the r binary adds full support for
 both 'shebang'-style scripting (i.e. using a  hashmark-exclamation-path 
 expression as the first line in scripts) as well as command-line use in 
 standard Unix pipelines. In other words, r provides the R language without 
 the environment. 
 .
 This virtual package ensures that 'r-cran-littler' is installed. Once that
 is done, this 'littler' package can be removed.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux littler package
# Copyright 2003 - 2025 by Dirk Eddelbuettel <edd@debian.org>

%:
	dh $@ --buildsystem R

## we use these results for the to-be-installed-in directory
package	:= r-cran-littler
debRdir	:= usr/lib/R/site-library
debRlib	:= $(CURDIR)/debian/$(package)/$(debRdir)

#common-binary-post-install-arch::
#	dh_installdirs usr/bin usr/share/man/man1
#	install -v -m 0644 $(debRlib)/littler/bin/r        $(CURDIR)/debian/$(package)/usr/bin/
#	install -v -m 0644 $(debRlib)/littler/man-page/r.1 $(CURDIR)/debian/$(package)/usr/share/man/man1/

## link examples into old location from when package was 'littler' not r-cran-littler
#DEB_DH_LINK_ARGS = usr/lib/R/site-library/littler/examples/ usr/share/doc/littler/examples

=== debian/watch ===
version=3
opts="uversionmangle=s/-/\./" \
      http://cran.r-project.org/src/contrib/littler_([-0-9\.]*).tar.gz

## littler 0.3.22

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: littler
 Type: Package
 Title: R at the Command-Line via 'r'
-Version: 0.3.21
-Date: 2025-03-24
+Version: 0.3.22
+Date: 2026-02-03
 Authors@R: c(person("Dirk", "Eddelbuettel", role = c("aut", "cre"), email = "edd@debian.org",
                     comment = c(ORCID = "0000-0001-6419-907X")),
              person("Jeff", "Horner", role = "aut",
@@ -26,9 +26,10 @@
 VignetteBuilder: simplermarkdown
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2025-03-24 20:07:20 UTC; edd
-Author: Dirk Eddelbuettel [aut, cre] (<https://orcid.org/0000-0001-6419-907X>),
+Packaged: 2026-02-03 14:09:02 UTC; edd
+Author: Dirk Eddelbuettel [aut, cre] (ORCID:
+    <https://orcid.org/0000-0001-6419-907X>),
   Jeff Horner [aut] ((2006-2008))
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
 Repository: CRAN
-Date/Publication: 2025-03-25 05:50:07 UTC
+Date/Publication: 2026-02-04 08:30:02 UTC

=== debian/changelog ===
littler (0.3.22-1) unstable; urgency=medium

  * New upstream release

  * debian/control: Set Build-Depends: to current R version
  * debian/control: Set Standards-Version: to current version
  * debian/watch: Update to version 4

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 04 Feb 2026 06:47:34 -0600

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: gnu-r
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.4.3)
-Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-r, r-base-dev (>= 4.5.2)
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/edd/r-cran-littler
 Vcs-Git: https://salsa.debian.org/edd/r-cran-littler.git
 Homepage: https://cran.r-project.org/package=littler

=== debian/watch ===
version=4
opts="uversionmangle=s/-/\./" \
      https://cran.r-project.org/src/contrib/littler_([-0-9\.]*).tar.gz
